#include <stdio.h>

#include "help.h"
#include "mudcl.h"

extern char path[];

void help(char *param)
{
  char filename[HELPFILE];
  FILE *stream;
  char helpbuf[HELPBUFFER]; 

  if (!*param)
    sprintf(filename,"%s/help/help",path);
  else
    sprintf(filename,"%s/help/%s",path,param);
  if (!(stream = fopen(filename,"r")))
    if ((!*param) || (!strcmp(param,"help")))
    {
      putscr("\n*** Warning Help not found.\n");
      putscr("*** mudcl must be run in his directory (useful for help, load, and save path).\n");
      putscr("*** You could also use a MUDCL_PATH environement variable like :\n");
      putscr("*** export MUDCL_PATH=/your/path in ~/.profile\n");
      putscr("*** if you are using a Bourne shell (sh, bash)\n");
      putscr("*** setenv MUDCL_PATH /your/path in ~/.cshrc\n");
      putscr("*** if you are using a C shell (csh, tcsh)\n");
    }
    else
      putscr("\n*** No help found on this topic\n");
  else
  {
    putscr("\n");
    while (!feof(stream))
    {
      fgets(helpbuf,HELPBUFFER,stream);
      if (!feof(stream))
	putscr("*** %s",helpbuf);
    }
  }
  fclose(stream);
}

